<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript - Reactive DOM with JSON</title>
</head>
<body>
    <h1>Add Post</h1>
    <form id="form-add-post">
        <label for="text-title">Title</label><br>
        <input type="text" id="text-title"><br>
        <label>Body</label><br>
        <textarea type="text" id="txt-body"></textarea><br>
        
        <button type="submit">Create</button>
    <hr>
    </form>
    <h1>Edit Post</h1>
    <form id="form-edit-post">

        <input type="text" id="txt-edit-id" hidden/><br>

        <span>Title</span><br>
        <input type="text" id="txt-edit-title" /><br>

        <span>Body</span><br>
        <textarea type="text" id="txt-edit-body"></textarea><br>

        <button type="submit">Update</button>
        <button type="submit" onclick="removePart()">Remove</button>
    </form>
    <hr>
    
    <h1>Posts</h1>
    <div id="div-post-entries"></div>
    <script src="./index.js"></script>
    
</body>
</html>